org.jetlang.web

## Interface PathMatcher<T>

All Known Implementing Classes:
  PathMatcher.PathEq

    public interface PathMatcher<T>

### Nested Class Summary

Nested Classes
`static class` `PathMatcher.PathEq<T>`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Default Methods
`boolean` `handles(HttpRequest request, T sessionState)`
`static <S> PathMatcher<S>` `pathEq(String s)`

### Method Detail

#### handles

    boolean handles(HttpRequest request,
                    T sessionState)

#### pathEq

    static <S> PathMatcher<S> pathEq(String s)